commit:     b9d81a703e7bc7f466e719d92e6feda054b2f056
Author:     Sebastian Hamann <code <AT> ares-macrotechnology <DOT> com>
AuthorDate: Fri Jul 23 18:56:08 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Jul 24 05:55:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9d81a70

app-emulation/firecracker-bin: Bump to 0.24.5

Signed-off-by: Sebastian Hamann <code <AT> ares-macrotechnology.com>
Package-Manager: Portage-3.0.20, Repoman-3.0.2
Closes: https://github.com/gentoo/gentoo/pull/21757
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/firecracker-bin/Manifest             |  2 +
 .../firecracker-bin/firecracker-bin-0.24.5.ebuild  | 79 ++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/app-emulation/firecracker-bin/Manifest 
b/app-emulation/firecracker-bin/Manifest
index cc179636cd3..8aab986b918 100644
--- a/app-emulation/firecracker-bin/Manifest
+++ b/app-emulation/firecracker-bin/Manifest
@@ -4,3 +4,5 @@ DIST firecracker-v0.24.2-aarch64.tgz 1429004 BLAKE2B 
8d5624f6f6f154678ffab945bbb
 DIST firecracker-v0.24.2-x86_64.tgz 1434481 BLAKE2B 
d2b81e2b3341317f296c63f14b2699dbf207e2e3a83871e38ef1666c105112788308c773afad61a85f7c6f4009f2373c80f12a52549120d92a42bae54891bf59
 SHA512 
2a574276296685117acf4e1d425ca75ecb8ad06680ae81e183d73853ff57cbca2f4cf4f42cb013d8d88d18146c0d84d2b098829ca5f6e9402213fecdf539a283
 DIST firecracker-v0.24.4-aarch64.tgz 1427501 BLAKE2B 
98a9725cfa6fca607081a5c2461980b02417400a58ddce872a45c09b14559b41998dc6707de280c399535262d29dbd5120d5e2eff1b8403f84d66625e97700aa
 SHA512 
fe2d8441a790310f0fecd82fc316e214d9d03f182f3837ac4d5464101954053c5a98976b7178ffe7e6c1e0fbc4a7e7203ccd92e4f8bc74fbccfd889adc7e43cc
 DIST firecracker-v0.24.4-x86_64.tgz 1435102 BLAKE2B 
893d1c8392f76cc45668cc8823daae2895f675cbcdffb3431fe51495964611f61263caeaa7a149c5dd0f29122e8a6f8705e66166b1c6a192c9c97d49b7f915c8
 SHA512 
42f316de6bf1444cc7163b02dedd1492c21d0583da1a2a5193e3941cc1d6a59c3c79d275df3d903914f30d021a3e6c7d8f7338c12c088426adf22045750b7db3
+DIST firecracker-v0.24.5-aarch64.tgz 1426237 BLAKE2B 
11e260d4afcd5f5ebabeb5c773060250a9205a8110ea4f0915d1b8b3eb7fc448a2a99159d73d2bfaa9b1e9ea88258996de73e296b9916c533f9b7eac8c77fc15
 SHA512 
518f122f277a293b54bd870bb166847e4d7fa87574e47d3cd606d35e260ebd7359806922e09fb86cf16fb2ee3969bbf68b40538150e7064c866710c1803fada8
+DIST firecracker-v0.24.5-x86_64.tgz 1432963 BLAKE2B 
70e16dc651ae1071b9f223f0a21eaba6a8ad515d75847698cbf67ac73053cb8c52d67cd46a315e5681dadbab92ecc4d0d43ecbba9928dc2f52a5168c0a889a97
 SHA512 
746f1af7a37b2ecdd86faee75ee0cacf01aa80aa6f060cc75761f930df0da9a6f6597fea4235035ba10f6198909b5b2f7a834571c52d73e647611f9be8fa0967

diff --git a/app-emulation/firecracker-bin/firecracker-bin-0.24.5.ebuild 
b/app-emulation/firecracker-bin/firecracker-bin-0.24.5.ebuild
new file mode 100644
index 00000000000..c957b4a10f3
--- /dev/null
+++ b/app-emulation/firecracker-bin/firecracker-bin-0.24.5.ebuild
@@ -0,0 +1,79 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info
+
+DESCRIPTION="Secure and fast microVMs for serverless computing (static build)"
+HOMEPAGE="https://firecracker-microvm.github.io 
https://github.com/firecracker-microvm/firecracker";
+SRC_URI="
+       amd64? (
+               
https://github.com/firecracker-microvm/firecracker/releases/download/v${PV}/firecracker-v${PV}-x86_64.tgz
+       )
+       arm64? (
+               
https://github.com/firecracker-microvm/firecracker/releases/download/v${PV}/firecracker-v${PV}-aarch64.tgz
+       )"
+
+LICENSE="|| ( Apache-2.0 MIT Apache-2.0-with-LLVM-exceptions ) MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RESTRICT="test strip"
+
+RDEPEND="!app-emulation/firecracker
+       acct-group/kvm"
+
+QA_PREBUILT="/usr/bin/firecracker
+       /usr/bin/jailer"
+
+S="${WORKDIR}"
+
+pkg_pretend() {
+       if use kernel_linux && kernel_is lt 4 14; then
+               eerror "Firecracker requires a host kernel of 4.14 or higher."
+       elif use kernel_linux; then
+               if ! linux_config_exists; then
+                       eerror "Unable to check your kernel for KVM support"
+               else
+                       CONFIG_CHECK="~KVM ~TUN ~BRIDGE ~VHOST_VSOCK"
+                       ERROR_KVM="You must enable KVM in your kernel to 
continue"
+                       ERROR_KVM_AMD="If you have an AMD CPU, you must enable 
KVM_AMD in"
+                       ERROR_KVM_AMD+=" your kernel configuration."
+                       ERROR_KVM_INTEL="If you have an Intel CPU, you must 
enable"
+                       ERROR_KVM_INTEL+=" KVM_INTEL in your kernel 
configuration."
+                       ERROR_TUN="You will need the Universal TUN/TAP driver 
compiled"
+                       ERROR_TUN+=" into your kernel or loaded as a module to 
use"
+                       ERROR_TUN+=" virtual network devices."
+                       ERROR_BRIDGE="You will also need support for 802.1d"
+                       ERROR_BRIDGE+=" Ethernet Bridging for some network 
configurations."
+                       ERROR_VHOST_VSOCK="To use AF_VSOCK sockets for 
communication"
+                       ERROR_VHOST_VSOCK+=" between host and guest, you will 
need to enable"
+                       ERROR_VHOST_VSOCK+=" the vhost virtio-vsock driver in 
your kernel."
+
+                       if use amd64 || use amd64-linux; then
+                               if grep -q AuthenticAMD /proc/cpuinfo; then
+                                       CONFIG_CHECK+=" ~KVM_AMD"
+                               elif grep -q GenuineIntel /proc/cpuinfo; then
+                                       CONFIG_CHECK+=" ~KVM_INTEL"
+                               fi
+                       fi
+
+                       # Now do the actual checks setup above
+                       check_extra_config
+               fi
+       fi
+}
+
+src_compile() { :; }
+
+src_install() {
+       if use amd64; then
+               my_arch=x86_64
+       elif use arm64; then
+               my_arch=aarch64
+       fi
+
+       newbin "release-v${PV}/firecracker-v${PV}-${my_arch}" firecracker
+       newbin "release-v${PV}/jailer-v${PV}-${my_arch}" jailer
+}

Reply via email to